// package val_fix -- значение с фиксацией при создании
package val_fix

import (
	"gitp78su.ipnodns.ru/svi/prolet/lang/alias"
	"gitp78su.ipnodns.ru/svi/prolet/lang/cons"
	"gitp78su.ipnodns.ru/svi/prolet/lang/types"
)

// ValFix -- значение с фиксацией при создании
type ValFix struct {
	val int // ЗХафиксированное значение при создании
}

// NewValFix -- возвращает новое фиксироапнное значение во время работы
func NewValFix(val int) *ValFix {
	sf := &ValFix{
		val: val,
	}
	_ = types.IVal(sf)
	return sf
}

// Val -- возвращает хранимое значение фиксированного значения
func (sf *ValFix) Val() int {
	return sf.val
}

// Tempor -- возвращает время жизни значения
func (sf *ValFix) Tempor() alias.Tempor {
	return cons.TemporFix
}
